#
# spec file for package  qpdf (Version 2.2.2)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
# norootforbuild

%define soname 3

Name:		qpdf
Version:	2.3.1
Release:	1.1
Summary:	PDF transformation/inspection software
Source0:	%{name}-%{version}.tar.bz2
Source100:	%{name}.changes
URL:		http://qpdf.sourceforge.net/
Group:		Productivity/Publishing/PDF
License:	Artistic License 2.0
BuildRoot:	%{_tmppath}/build-%{name}-%{version}
BuildRequires:	pcre-devel zlib-devel gcc-c++ 
Autoreqprov:	on

%description
QPDF is a program that can be used to linearize (web-optimize),
encrypt (password-protect), decrypt, and inspect PDF files from the
command-line.  It does these and other structural, content-preserving
transformations on PDF files, reading a PDF file as input and
creating a new one as output.  It also provides many useful
capabilities to developers of PDF-producing software or for people
who just want to look at the innards of a PDF file to learn more
about how they work.

QPDF understands PDF files that use compressed object streams
(supported by newer PDF applications) and can convert such files into
those that can be read with older viewers.  It can also be used for
checking PDF files for structural errors, inspecting stream contents,
or extracting objects from PDF files.  QPDF is not PDF content
creation or viewing software -- it does not have the capability to
create PDF files from scratch or to display PDF files.

%package -n lib%{name}%{soname}
Summary:	Shared libraries for PDF transformation/inspection software
Group:		Productivity/Publishing/PDF

%description -n lib%{name}%{soname}
QPDF is a program that can be used to linearize (web-optimize),
encrypt (password-protect), decrypt, and inspect PDF files from the
command-line.  It does these and other structural, content-preserving
transformations on PDF files, reading a PDF file as input and
creating a new one as output.  It also provides many useful
capabilities to developers of PDF-producing software or for people
who just want to look at the innards of a PDF file to learn more
about how they work.

QPDF understands PDF files that use compressed object streams
(supported by newer PDF applications) and can convert such files into
those that can be read with older viewers.  It can also be used for
checking PDF files for structural errors, inspecting stream contents,
or extracting objects from PDF files.  QPDF is not PDF content
creation or viewing software -- it does not have the capability to
create PDF files from scratch or to display PDF files.

This package contains the qpdf runtime libraries required to run
programs that link with the qpdf library.


%package -n lib%{name}-devel
Summary:	Development Files for qpdf
Group:		Development/Libraries/C and C++
Requires:	lib%{name}%{soname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n lib%{name}-devel

QPDF is a program that can be used to linearize (web-optimize),
encrypt (password-protect), decrypt, and inspect PDF files from the
command-line.  It does these and other structural, content-preserving
transformations on PDF files, reading a PDF file as input and
creating a new one as output.  It also provides many useful
capabilities to developers of PDF-producing software or for people
who just want to look at the innards of a PDF file to learn more
about how they work.

QPDF understands PDF files that use compressed object streams
(supported by newer PDF applications) and can convert such files into
those that can be read with older viewers.  It can also be used for
checking PDF files for structural errors, inspecting stream contents,
or extracting objects from PDF files.  QPDF is not PDF content
creation or viewing software -- it does not have the capability to
create PDF files from scratch or to display PDF files.

This package contains the qpdf headers and other files needed to
build programs using the qpdf libraries.

%prep
%setup -q

%build
%configure

%__make

%install
%makeinstall

# remove docs installed by make install, they will be installed by the "%%doc"-macro later
%__rm -rf $RPM_BUILD_ROOT/%{_datadir}/doc/%{name}/ 
# remove static library
%__rm $RPM_BUILD_ROOT/%{_libdir}/lib%{name}.a

%clean
rm -rf ${RPM_BUILD_ROOT}

%post   -n lib%{name}%{soname} -p /sbin/ldconfig

%postun -n lib%{name}%{soname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc Artistic-2.0 README README.maintainer ChangeLog TODO doc/{%{name}-manual.*,stylesheet.css}
%{_bindir}/%{name}
%{_bindir}/fix-qdf
%{_bindir}/zlib-flate
%{_mandir}/man1/*

%files -n lib%{name}%{soname}
%defattr(-,root,root)
%{_libdir}/lib%{name}.so.*

%files -n lib%{name}-devel
%defattr(-,root,root)
%doc examples/*.cc
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_libdir}/lib%{name}.so

%changelog
* Sat May  5 2012 seife+obs@b1-systems.com
- update to version 2.3.1 -- see ChangeLog for details
  * this builds again on openSUSE >= 12.1
* Mon Nov 22 2010 packman@links2linux.de - 2.2.2
- updated to version 2.2.2
* Sun Jan  3 2010 AxelKoellhofer@web.de
- updated to version 2.1.1
- obsolete gcc44-patch removed (fixed upstream)
- libqpdf1 replaced by libqpdf3
* Wed Jul 15 2009 AxelKoellhofer@web.de
- initial package, version 2.0.6
